#!/usr/bin/env node

const fs = require('fs-extra');
const formatter = require('./src/formatter');

const procArg = process.argv;

/**
 * The entry point for this project
 * @param {string} input The output generated by running ESLint.
 * @param {object} [teamcityPropNames] Any user defined config variables.
 * @returns {string} The concatenated output of all messages to display in TeamCity
 */
function main(input, teamcityPropNames) {
  return formatter(input, teamcityPropNames);
}

if (require.main === module) {
  process.stdout.write(main(fs.readJSONSync(procArg[2])));
} else {
  module.exports = main;
}
